<?php ob_start();?>
<?php if(empty($plong)){$plong=10;} ?>
<?php if(empty($pobj)){$pobj=3;} ?>
<?php if(empty($pdefa)){$pdefa=date('Y-m-d');} ?>

<script type="text/javascript">

function _<?php echo $pidtxt ?>_valdefa(e)
{
	document.getElementById('<?php echo $pidtxt ?>').value='<?php echo $pdefa ?>';
 	_<?php echo $pidtxt ?>_valcod(e);
}


function _<?php echo $pidtxt ?>_okup(e)
	{
		if(e.keyCode==13)
		{
			_<?php echo $pidtxt ?>_valcod(e);
			document.getElementById('<?php echo $pidtxt ?>_btn').focus();
			document.getElementById('<?php echo $pidtxt ?>').focus();
		} 
		else
		{
			_<?php echo $pidtxt ?>_valnum(e);
		}

		//pgup
		if(e.keyCode==33)
		{
			_<?php echo $pidtxt ?>_valcod(e);
			var xfecha=document.getElementById('<?php echo $pidtxt ?>').value;
			xfecha=fecha_format(xfecha);
			xfecha=new Date(xfecha);
			xfecha.setDate(xfecha.getDate()+1+28)
			xfecha=xfecha.getFullYear()+'-'+(xfecha.getMonth()+1)+'-'+(xfecha.getDate());
			document.getElementById('<?php echo $pidtxt ?>').value=xfecha;
			_<?php echo $pidtxt ?>_valcod(e);
		}
		
		//pgdn
		if(e.keyCode==34)
		{
				_<?php echo $pidtxt ?>_valcod(e);
			var xfecha=document.getElementById('<?php echo $pidtxt ?>').value;
			xfecha=fecha_format(xfecha);
			xfecha=new Date(xfecha);
			xfecha.setDate(xfecha.getDate()+1-28)
			xfecha=xfecha.getFullYear()+'-'+(xfecha.getMonth()+1)+'-'+(xfecha.getDate());
			document.getElementById('<?php echo $pidtxt ?>').value=xfecha;
			_<?php echo $pidtxt ?>_valcod(e);
		}
		
		//up
		if(e.keyCode==38)
		{
			_<?php echo $pidtxt ?>_valcod(e);
			var xfecha=document.getElementById('<?php echo $pidtxt ?>').value;
			xfecha=fecha_format(xfecha);
			xfecha=new Date(xfecha);
			xfecha.setDate(xfecha.getDate()+1+1)
			xfecha=xfecha.getFullYear()+'-'+(xfecha.getMonth()+1)+'-'+(xfecha.getDate());
			document.getElementById('<?php echo $pidtxt ?>').value=xfecha;
			_<?php echo $pidtxt ?>_valcod(e);
		}
		
		// down
		if(e.keyCode==40)
		{
			_<?php echo $pidtxt ?>_valcod(e);
			var xfecha=document.getElementById('<?php echo $pidtxt ?>').value;
			xfecha=fecha_format(xfecha);
			xfecha=new Date(xfecha);
			xfecha.setDate(xfecha.getDate()+1-1)
			xfecha=xfecha.getFullYear()+'-'+(xfecha.getMonth()+1)+'-'+(xfecha.getDate());
			document.getElementById('<?php echo $pidtxt ?>').value=xfecha;
			_<?php echo $pidtxt ?>_valcod(e);
			
		}
	}

function _<?php echo $pidtxt ?>_valnum(e)
{ 
	// back,shift,del,end,home,left,right
	if(e.keyCode!=8 && e.keyCode!=16 && e.keyCode!=46 && e.keyCode!=35 && e.keyCode!=36 && e.keyCode!=37 && e.keyCode!=39)
	{	
	var pfecha=document.getElementById('<?php echo $pidtxt ?>').value.trim();
	var	xvnum='0123456789.-/';
	var	xnum='';
	var xcar='';
	var xfec='';

	if(pfecha==""){xnum='<?php echo $pdefa ?>';}
	else{
			for (i=0; i<pfecha.length;i++)
				{
					xcar=pfecha.substring(i,i+1);	
					if (xvnum.indexOf(xcar)>=0){xnum+=xcar;}
				}
			}
	document.getElementById('<?php echo $pidtxt ?>').value=xnum;
	}
}

function _<?php echo $pidtxt ?>_valcod(e)
{
	_<?php echo $pidtxt ?>_valnum(e);
	var pfecha=document.getElementById('<?php echo $pidtxt ?>').value.trim();
	var xfec='';
	var xfecd='';
	document.getElementById('<?php echo $pidtxt ?>').value=fecha_format(pfecha);
	document.getElementById('<?php echo $pidtxt ?>').title=fecha_format(pfecha,3);
	document.getElementById('<?php echo $pidtxt ?>_descri').innerHTML=document.getElementById('<?php echo $pidtxt ?>').title;
}

	
</script>


<?php if($pobj==2){?>
<th id="th_<?php echo $pidtxt ?>" width="<?php echo $plong ?>px" valign="top">
<?php } ?>

<?php if($pobj==3){?>
<td valign="top">
<?php } ?>

<?php if($pobj==2 || $pobj==3){?>
<div>
  <input type="button" 
         id="<?php echo $pidtxt ?>_btn" 
         onClick="_<?php echo $pidtxt ?>_valdefa(event);" 
         onKeyUp="_<?php echo $pidtxt ?>_okup(event);" 
         style="font-weight:bold;border-radius:5px;display: block;width:100%;padding:2px; margin:0px;" 
				 tabIndex="-1"
         value="<?php echo strtoupper($pcaption) ?>" 
				 ></input>
</div>
<?php } ?>
<?php if($pobj==3){?>
</td>
<td valign="top">
<?php } ?>
<?php if($pobj==5){?>
<td valign="top">
<?php } ?>
<div>
  <input
         value="<?php echo $pdefa;?>" 
         type="time" 
				 accesskey="<?php echo substr($pcaption,0,1);?>"
         id="<?php echo $pidtxt ?>"  
				 maxlength="10"
         onblur="_<?php echo $pidtxt?>_valcod(event);<?php echo $ponblur;?>;" 
         onKeyUp="_<?php echo $pidtxt ?>_okup(event);" 
         size="5"
         style="text-transform:uppercase;border:solid 1px;border-radius:5px;padding:2px;margin:0px;background-color:white;" 
				 title="<?php echo strtolower($pcaption); ?>" 
				 ></input>
	<span id="<?php echo $pidtxt ?>_descri" style="<?php if($pobj==1 || $pobj==2){echo 'display:none;';} ?>"></span>
	<span id="<?php echo $pidtxt ?>_error" class="txt_error"></span>
</div>

<?php if($mobile=='true' and $preado==0){ ?><div class="getheight" style="height:100px;"></div><?php } ?>

<?php if($pobj==2){?>
</th>
<?php } ?>
<?php if($pobj==3 || $pobj==5){?>
</td>
<?php } ?>

<?php $pcaption='';?>
<?php $ptabla='';?>
<?php $pidtxt='';?>
<?php $plong='';?>
<?php $pobj='';?>
<?php $pdefa='';?>
<?php $ponblur='';?>


<?php $obstart = ob_get_clean(); ?>
<?php //$obstart=alltrim($obstart); ?>
<?php $obstart = limpiahtml($obstart) ?>
<?php echo $obstart; ?>
